List all Superset databases
curl --request GET \
--url https://api.example.com/api/analytics/databases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/analytics/databases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/analytics/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"allow_ctas": true,
"allow_cvas": true,
"allow_dml": true,
"allow_file_upload": true,
"allow_multi_catalog": true,
"allow_run_async": true,
"allows_cost_estimate": true,
"allows_subquery": true,
"allows_virtual_table_explore": true,
"backend": "<string>",
"changed_by": {},
"changed_on": "<string>",
"changed_on_delta_humanized": "<string>",
"created_by": {},
"database_name": "<string>",
"disable_data_preview": true,
"disable_drill_to_detail": true,
"engine_information": {},
"explore_database_id": 123,
"expose_in_sqllab": true,
"extra": "<string>",
"force_ctas_schema": true,
"id": 123,
"uuid": "<string>"
}
]{
"error": "<string>",
"code": 500
}Analytics
List all Superset databases
Returns all databases registered in Superset.
GET
/
api
/
analytics
/
databases
List all Superset databases
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

